Groovy Documentation

## org.codehaus.groovy.grails.plugins.web.filters
[Groovy] Class FilterConfig

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.filters.FilterConfig

    class FilterConfig

Authors:
  mike
  Graeme Rocher

Property Summary
`groovy.lang.Closure` | `after`
`groovy.lang.Closure` | `afterView`
`groovy.lang.Closure` | `before`
`java.lang.Object` | `errors` Redirects attempt to access an 'errors' property, so we provide one here with a null value.
`java.lang.Object` | `filtersDefinition` This is the filters definition bean that declared the filter config.
`boolean` | `initialised`
`ModelAndView` | `modelAndView`
`java.lang.String` | `name`
`java.util.Map` | `scope`

Method Summary
`java.lang.Object` | `methodMissing(java.lang.String methodName, java.lang.Object args)` When the filter does not have a particular method, it passes the call on to the filter definition class.
`java.lang.Object` | `propertyMissing(java.lang.String propertyName)` When the filter does not have a particular property, it passes the request on to the filter definition class.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### after

    groovy.lang.Closure after

### afterView

    groovy.lang.Closure afterView

### before

    groovy.lang.Closure before

### errors

    java.lang.Object errors

  Redirects attempt to access an 'errors' property, so we provide one here with a null value.

### filtersDefinition

    java.lang.Object filtersDefinition

  This is the filters definition bean that declared the filter config. Since it may contain injected services, etc., we delegate any missing properties or methods to it.

### initialised

    boolean initialised

### modelAndView

    ModelAndView modelAndView

### name

    java.lang.String name

### scope

    java.util.Map scope

Method Detail

### methodMissing

    java.lang.Object methodMissing(java.lang.String methodName, java.lang.Object args)

  When the filter does not have a particular method, it passes the call on to the filter definition class.

### propertyMissing

    java.lang.Object propertyMissing(java.lang.String propertyName)

  When the filter does not have a particular property, it passes the request on to the filter definition class.

### toString

    java.lang.String toString()

Groovy Documentation